pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 > Class Template Reference
Module visualization

HSV handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerHSVField< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerHSVField< PointCloud > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
typedef pcl::PCLPointCloud2 | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointCloud > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerHSVField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerHSVField ()
| Empty destructor. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Member Functions

virtual std::string | getName () const
| Get the name of the class. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...

## Protected Attributes

int | s_field_idx_
| The field index for "S". More...
int | v_field_idx_
| The field index for "V". More...
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >

HSV handler class for colors.

Uses the data present in the "h", "s", "v" fields as the color at each point.

Definition at line 701 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

typedef boost::shared_ptr<const PointCloudColorHandlerHSVField<PointCloud> > pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::ConstPtr

Definition at line 709 of file point_cloud_color_handlers.h.

typedef boost::shared_ptr<PointCloudColorHandlerHSVField<PointCloud> > pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::Ptr

Definition at line 708 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::PointCloudColorHandlerHSVField | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

virtual pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerHSVField | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 715 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor().

## Member Function Documentation

virtual bool pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline protected virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 732 of file point_cloud_color_handlers.h.

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline protected virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 728 of file point_cloud_color_handlers.h.

## Member Data Documentation

int pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::s_field_idx_

protected

The field index for "S".

Definition at line 735 of file point_cloud_color_handlers.h.

int pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::v_field_idx_

protected

The field index for "V".

Definition at line 738 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h